| QxOrm 1.3.2 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
qx::QxValidator_WithDataType< DataType, Owner > Class Template Reference
QxValidator : QxOrm library validation engine using validator pattern

qx::QxValidator_WithDataType<DataType, Owner> : concrete class for a custom validator with data type More...

`#include <QxValidator.h>`

Inheritance diagram for qx::QxValidator_WithDataType< DataType, Owner >:

List of all members.

## Public Types
typedef boost::function< void(const DataType &, QxInvalidValueX &)> | type_fct_custom_validator_data_type
typedef boost::function< void(const DataType &, const IxValidator *, QxInvalidValueX &) | type_fct_custom_validator_data_type_validator )
## Public Member Functions
| QxValidator_WithDataType ()
virtual | ~QxValidator_WithDataType ()
void | setFunction (type_fct_custom_validator_data_type fct)
void | setFunction (type_fct_custom_validator_data_type_validator fct)
virtual void | validate (void *pOwner, QxInvalidValueX &lstInvalidValues) const
## Protected Attributes
type_fct_custom_validator_data_type | m_fctCustomValidator_DataType
| Custom validator function : global function with value.
type_fct_custom_validator_data_type_validator | m_fctCustomValidator_DataTypeValidator
| Custom validator function : global function with value and a IxValidator pointer containing all parameters.

## Detailed Description

### template<typename DataType, class Owner>
class qx::QxValidator_WithDataType< DataType, Owner >

qx::QxValidator_WithDataType<DataType, Owner> : concrete class for a custom validator with data type

For more informations about QxValidator module, goto the FAQ of QxOrm website : http://www.qxorm.com/qxorm_en/faq.html#faq_250

Definition at line 110 of file QxValidator.h.

## Member Typedef Documentation

template<typename DataType, class Owner>

typedef boost::function<void (const DataType &, QxInvalidValueX &)> qx::QxValidator_WithDataType< DataType, Owner >::type_fct_custom_validator_data_type

Definition at line 115 of file QxValidator.h.

template<typename DataType, class Owner>

typedef boost::function<void (const DataType &, const IxValidator *, QxInvalidValueX &) qx::QxValidator_WithDataType< DataType, Owner >::type_fct_custom_validator_data_type_validator)

Definition at line 116 of file QxValidator.h.

## Constructor & Destructor Documentation

template<typename DataType, class Owner>

qx::QxValidator_WithDataType< DataType, Owner >::QxValidator_WithDataType | ( |  | ) | `[inline]`

Definition at line 125 of file QxValidator.h.

template<typename DataType, class Owner>

virtual qx::QxValidator_WithDataType< DataType, Owner >::~QxValidator_WithDataType | ( |  | ) | `[inline, virtual]`

Definition at line 126 of file QxValidator.h.

## Member Function Documentation

template<typename DataType, class Owner>

void qx::QxValidator_WithDataType< DataType, Owner >::setFunction | ( | type_fct_custom_validator_data_type | fct | ) | `[inline]`

Definition at line 128 of file QxValidator.h.

template<typename DataType, class Owner>

void qx::QxValidator_WithDataType< DataType, Owner >::setFunction | ( | type_fct_custom_validator_data_type_validator | fct | ) | `[inline]`

Definition at line 129 of file QxValidator.h.

template<typename DataType, class Owner>

virtual void qx::QxValidator_WithDataType< DataType, Owner >::validate | ( | void * | pOwner,
|  | QxInvalidValueX & | lstInvalidValues
| ) |  | const`[inline, virtual]`

Reimplemented from qx::IxValidator.

Definition at line 131 of file QxValidator.h.

## Member Data Documentation

template<typename DataType, class Owner>

type_fct_custom_validator_data_type qx::QxValidator_WithDataType< DataType, Owner >::m_fctCustomValidator_DataType`[protected]`

Custom validator function : global function with value.

Definition at line 120 of file QxValidator.h.

template<typename DataType, class Owner>

type_fct_custom_validator_data_type_validator qx::QxValidator_WithDataType< DataType, Owner >::m_fctCustomValidator_DataTypeValidator`[protected]`

Custom validator function : global function with value and a IxValidator pointer containing all parameters.

Definition at line 121 of file QxValidator.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxValidator/QxValidator.h